#include "ezwin.h"
#include <cassert>

// Create a window with title "Snake", size 10cm x 10cm,
//     positioned 3cm from left, 1cm from top of screen.
SimpleWindow MyWindow("Snake", 10.0, 12.0,
		      Position(3.0, 1.0));

// ApiMain(): create a window and display some shapes
int ApiMain() {
  MyWindow.Open();
  assert(MyWindow.GetStatus() == WindowOpen);

  // Colors: {White, Red, Green, Blue, Yellow, Cyan, Magenta};

  //Yellow Rectangles, with borders
  MyWindow.RenderRectangle(Position(3.0,1.0), Position(7.0,2.0),
			   Yellow, true);
  
  Position UpperLeft = Position(3.3, 1.3);
	Position LowerRight =Position(6.7,  1.7);

	// Display the text
	MyWindow.RenderText(UpperLeft, LowerRight,
	 "New Game", Black);

  MyWindow.RenderRectangle(Position(3.0,3.0), Position(7.0,4.0),
			   Yellow, true);


  Position UpperLeft1 = Position(3.3, 3.3);
	Position LowerRight1 =Position(6.7,  3.7);

	// Display the text
	MyWindow.RenderText(UpperLeft1, LowerRight1,
	 "Options", Black);
  
  MyWindow.RenderRectangle(Position(3.0,5.0),Position(7.0,6.0),
		      Yellow,true);

   Position UpperLeft2 = Position(3.3, 5.3);
	Position LowerRight2 =Position(6.7,  5.7);

	// Display the text
	MyWindow.RenderText(UpperLeft2, LowerRight2,
	 "Instructions", Black);

  MyWindow.RenderRectangle(Position(3.0,7.0),Position(7.0,8.0),
			  Yellow, true);

   Position UpperLeft3 = Position(3.3, 7.3);
	Position LowerRight3 =Position(6.7,  7.7);

	// Display the text
	MyWindow.RenderText(UpperLeft3, LowerRight3,
	 "About", Black);

  MyWindow.RenderRectangle(Position(3.0,9.0),Position(7.0,10.0),
			  Yellow, true);

   Position UpperLeft4 = Position(3.3, 9.3);
	Position LowerRight4 =Position(6.7,  9.7);

	// Display the text
	MyWindow.RenderText(UpperLeft4, LowerRight4,
	 "Exit", Black);

  return 0;
} // end ApiMain()
