
/*Read before executing the program-
source code written by team b so far
this file can be compiled and run.
After typing"./maze" ""go back to the terminal and enter level 1 to 5""(error cathing has still not been added).
Each level displays a different maze.*/ 






#include "ezwin.h"

#include "position.h"
#include "rect.h"
#include "circle.h"
#include "triangle.h"
#include "square.h"
#include "wobject.h"
#include "shape.h"
#include "bitmap.h"
#include "label.h"
#include <cassert>
 
// Create a window with title "snakes", size 20cm x 20cm,
//     positioned 1cm from left, 1cm from top of screen.
  SimpleWindow MyWindow("Snakes", 20.0, 20.0,
              Position(1.0, 1.0));
   int first_index,second_index;
 
//declaration of arrays for storing mazes
int maze1[160][160];
int maze2[160][160];
int maze3[160][160];
int maze4[160][160];
int maze5[160][160];

/*
the logic behind maze creation is simple-the screen is divided into 160*160 squares
we deal with the coordinates of upperleft corner of squares.we use the concept of assosiated arrays.
the first index deals with x coordinate of upper left corner of square in millimeters.
the second index deals with y coordinate of upper left corner of square in millimeters.
if at a particular point the maze exists we assign the associated array address a value equal to one.
this will make the procees of checking whether maze exists at a point extremely easy and fast
*/



//function to create maze1
int createmaze1(){
 
  for(first_index=0;first_index<160;first_index=first_index+4)
    {
      for(second_index=0;second_index<160;second_index+=4)
     {
      maze1[first_index][second_index]=0;
       if(first_index==0||second_index==0||first_index==156||second_index==156)
       {
         maze1[first_index][second_index]=1;
       }
     }
    }

return 0;
}



//function to create maze 2
int createmaze2(){

 for(first_index=0;first_index<160;first_index=first_index+4)
   {
    for(second_index=0;second_index<160;second_index+=4)
    {
     maze1[first_index][second_index]=0;
     

         if(second_index==64||second_index==88)
         {
            if(first_index<=64||first_index>=88)
            {
              maze2[first_index][second_index]=1;
                   }
         }

        if(first_index==64)
        {
              if(second_index<=64||second_index>=88)
              {
                maze2[first_index][second_index]=1;
              }
        }
       
        if(first_index==88)
        {
             if(second_index<=66||second_index>=108)
             {
                maze2[first_index][second_index]=1;
             }
        }
     } //end of second for loop
   }//end of first for loop
 return 0;
}


//function to create maze 3
int createmaze3()
{
 for(first_index=0;first_index<160;first_index=first_index+4)
  {
   for(second_index=0;second_index<160;second_index+=4)
   {
         maze3[first_index][second_index]=0;

         if(first_index==76)
         {
             if(second_index<=148 && second_index>=12)
             {
            maze3[first_index][second_index]=1;
          }
        }

    
        if(second_index==76)
        {
          if(first_index<=148&&first_index>=12)
          {
            maze3[first_index][second_index]=1;
          }
        }


        if(first_index==148)
        {
          if(second_index<=148&&second_index>=80)
          {
            maze3[first_index][second_index]=1;
          }
        }


        if(second_index==12)
        {
          if(first_index<=148&&first_index>=80)
          {
            maze3[first_index][second_index]=1;
          }
        }


        if(first_index==12)
        {
          if(second_index<=76&&second_index>=12)
          {
            maze3[first_index][second_index]=1;
          }
        }
 

        if(second_index==148)
        {
          if(first_index<=76&&first_index>=12)
          {
            maze3[first_index][second_index]=1;
          }
        }

  } //end of second for loop
 }//end of first for loop

return 0;
}


//function to create maze 4
int createmaze4()
{
  for(first_index=0;first_index<160;first_index=first_index+4)
   {
    for(second_index=0;second_index<160;second_index+=4)
     {
       maze4[first_index][second_index]=0;
       if(second_index==16||second_index==24|second_index==132||second_index==140)
       {
         if(first_index>=16&&first_index<=140)
         {
           maze4[first_index][second_index]=1;
         }
       }
     }
   }
return 0;
}


//function to create maze 5
int createmaze5()
{
  for(first_index=0;first_index<160;first_index=first_index+4)
   {
    for(second_index=0;second_index<160;second_index+=4)
     {
   if(first_index==0||first_index==156)
   {
    if(second_index<=60||second_index>=96)
     {
       maze5[first_index][second_index]=1;
     }
   }
  if(second_index==0||second_index==156)
   {
    if(first_index<=60||first_index>=96)
     {
       maze5[first_index][second_index]=1;
     }
   }
  }
 }
 }

//api main function
int ApiMain() {
  float x,y;
  int level;
    MyWindow.Open();
    assert(MyWindow.GetStatus() == WindowOpen);
MyWindow.RenderRectangle(Position(0.0,0.0), Position(16.0,16.0),
               Yellow, true);
 cout<<"enter level"<<endl;//take input from user.will be changed to take input from another part of program(menu)
 cin>>level;


  if(level==1)
   {
     //if level is one.
      createmaze1();
     for(first_index=0;first_index<160;first_index+=1)
      {
       for(second_index=0;second_index<160;second_index+=1)
       {
         if(maze1[first_index][second_index]==1)
         {
      
           x=first_index/10.0;
           y=second_index/10.0;

           cout<<x<<","<<y<<endl;
             MyWindow.RenderRectangle(Position(x,y), Position(x+0.4,y+0.4),
               Red, true);

             MyWindow.RenderLine(Position(x+0.2,y+0.2),Position(x+0.2,y+0.2),
              Black,0.1);
         }
       }
     }
   }
 

  else if(level==2)
     {
       //if level is two
       createmaze2();
       for(first_index=0;first_index<160;first_index+=4)
        {
          for(second_index=0;second_index<160;second_index+=4)
          {
             if(maze2[first_index][second_index]==1)
             {
              x=first_index/10.0;
              y=second_index/10.0;

  
             MyWindow.RenderRectangle(Position(x,y), Position(x+0.4,y+0.4),
               Red, true);

             MyWindow.RenderLine(Position(x+0.2,y+0.2),Position(x+0.2,y+0.2),
              Black,0.1);
             }
          }
        }
      }



  else if(level==3)
    {
        //if level is one.
        createmaze3();
      for(first_index=0;first_index<160;first_index+=1)
       {
        for(second_index=0;second_index<160;second_index+=1)
         {
           if(maze3[first_index][second_index]==1)
           {
      
            x=first_index/10.0;
            y=second_index/10.0;

            cout<<x<<","<<y<<endl;
            MyWindow.RenderRectangle(Position(x,y), Position(x+0.4,y+0.4),
               Red, true);

            MyWindow.RenderLine(Position(x+0.2,y+0.2),Position(x+0.2,y+0.2),
              Black,0.1);
           }
         }
       }
    }



  else if(level==4)
      {
      //if level is two
      createmaze4();
        for(first_index=0;first_index<160;first_index+=4)
         {
          for(second_index=0;second_index<160;second_index+=4)
           {
            if(maze4[first_index][second_index]==1)
             {
              x=first_index/10.0;
              y=second_index/10.0;

  
              MyWindow.RenderRectangle(Position(x,y), Position(x+0.4,y+0.4),
               Red, true);

              MyWindow.RenderLine(Position(x+0.2,y+0.2),Position(x+0.2,y+0.2),
              Black,0.1);
             }
          }
        }
       }



   else if(level==5)
   {
     //if level is one.
      createmaze5();
     for(first_index=0;first_index<160;first_index+=1)
      {
       for(second_index=0;second_index<160;second_index+=1)
       {
         if(maze5[first_index][second_index]==1)
         {
      
           x=first_index/10.0;
           y=second_index/10.0;

         
             MyWindow.RenderRectangle(Position(x,y), Position(x+0.4,y+0.4),
               Red, true);

             MyWindow.RenderLine(Position(x+0.2,y+0.2),Position(x+0.2,y+0.2),
              Black,0.1);
         }
       }
     }
   }
 
 
  
  
  return 0;
} // end ApiMain() 
